# Gimp.Vector3

    from gi.repository import Gimp

    vector3 = Gimp.Vector3()

A three dimensional vector.

## Methods

- Gimp.Vector3.add_val
- Gimp.Vector3.cross_product
- Gimp.Vector3.cross_product_val
- Gimp.Vector3.inner_product
- Gimp.Vector3.inner_product_val
- Gimp.Vector3.length
- Gimp.Vector3.length_val
- Gimp.Vector3.mul
- Gimp.Vector3.mul_val
- Gimp.Vector3.neg
- Gimp.Vector3.neg_val
- Gimp.Vector3.normalize
- Gimp.Vector3.normalize_val
- Gimp.Vector3.rotate
- Gimp.Vector3.rotate_val
- Gimp.Vector3.set
- Gimp.Vector3.sub_val

## Static Functions

- Gimp.Vector3.add
- Gimp.Vector3.sub

## Fields

- Gimp.Vector3->x
- Gimp.Vector3->y
- Gimp.Vector3->z